petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscStageLogGetStage

This function returns the stage id given the stage name.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogGetStage(PetscStageLog stageLog, const char name[], PetscLogStage *stage)

Not Collective

### Input Parameters

| stageLog | - The PetscStageLog
| name | - The stage name

### Output Parameter

stage -The stage id, or -1 if it does not exist

### See Also

PetscStageLogGetCurrent(), PetscStageLogRegister(), PetscLogGetStageLog()

### Level

developer

### Location

src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages